<?php
session_start();
$usuario = $_SESSION['usuario'];
    if($usuario != 99){
        header("location: ../index.php");
    } 
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <link rel="shortcut icon" href="img/capacitacion.png"/>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0"/>
<title>QR Carnet</title>
  <link rel="stylesheet" type="text/css" href="../datatables/datatables.min.css">
  <link rel="stylesheet" type="text/css" href="../datatables/DataTables-1.10.21/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../css/bootstrap.min.css">
  <link rel="stylesheet" href="../css/carnet.css">
  <link rel="stylesheet" href="../css/menu.css">
</head>
<body>
<?php 
  include('menu.php');
?>
    <h2 id="Titulo">Funcionarios</h2>
    <table class="table" id="tabla">
      <thead class="thead thead-dark">
        <th>Cedula</th>
        <th>Nombre</th>
        <th>Cargo</th>
        <th>Genero</th>
        <th>Ver</th>
      </thead>
      <tbody>
<?php
    include('../php/conexion.php');
    $sql1 = $connection->prepare("SELECT * FROM funcionarios");
    $sql1->execute();
    $array1 = $sql1->fetchAll(PDO::FETCH_ASSOC);

    foreach ($array1 as $Fila1){
      $cedula = $Fila1['cedula_fun'];
      $cargo = $Fila1['cargo_fun'];
      $nombre = $Fila1['nombre_fun']." ".$Fila1['apellido1_fun']." ".$Fila1['apellido2_fun'];
      $genero = $Fila1['genero_fun'];
      $fnacimiento = $Fila1['fnacimiento_fun'];
      $lnacimiento = $Fila1['lnacimiento_fun'];
      $fexpedicion = $Fila1['fexpedicion_fun'];
      $rh = $Fila1['rh_fun'];
      $eps = $Fila1['eps_fun'];
      $pasaporte = $Fila1['pasaporte_fun'];
      $fpasaporte = $Fila1['fpasaporte_fun'];
      $cargo = $Fila1['cargo_fun'];
      $salario = $Fila1['salario_fun'];
      $direccion = $Fila1['direccion_fun'];
      $pais = $Fila1['pais_fun'];
      $imagen = base64_encode($Fila1['foto_fun']);
?>
        <tr>
          <td><?php echo $cedula ?></td>
          <td><?php echo $nombre ?></td>
          <td><?php echo $cargo ?></td>
          <td><?php echo $genero ?></td>
          <td><button class="btn btn-info btnVer" data-toggle="modal" data-target="#InfoFun" data-cod_fun="<?php echo $cedula; ?>">Ver</button></td>
        </tr>
<?php
    }
?>
      </tbody>
    </table>

    <div class="modal fade" id="InfoFun" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLongTitle">Funcionario</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body" id="modal_res"></div>
          <button class="btn btn-success">QR</button>
        </div>
      </div>
    </div>
<script src="../js/jquery-3.4.1.min.js"></script>
<script src="../js/bootstrap.min.js"></script>
<script src="../datatables/datatables.min.js"></script>
<script>
$(document).ready(function() {
  $('#tabla').DataTable({
    language: {
      "sProcessing":     "Procesando...",
      "sLengthMenu":     "Mostrar _MENU_ registros",
      "sZeroRecords":    "No se encontraron resultados",
      "sEmptyTable":     "Ningún dato disponible en esta tabla =(",
      "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
      "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
      "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
      "sInfoPostFix":    "",
      "sSearch":         "Buscar:",
      "sUrl":            "",
      "sInfoThousands":  ",",
      "sLoadingRecords": "Cargando...",
      "oPaginate": {
          "sFirst":    "Primero",
          "sLast":     "Último",
          "sNext":     "Siguiente",
          "sPrevious": "Anterior"
      },
      "oAria": {
          "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
          "sSortDescending": ": Activar para ordenar la columna de manera descendente"
      },
      "buttons": {
          "copy": "Copiar",
          "colvis": "Visibilidad"
      }
    }
  });
});

/***************************************************/
  $(document).on('click', '#btnPersonal', function (){
    $('#Personal').css('display', 'block');
    $('#Contacto').css('display', 'none'); 
    $('#Vacunas').css('display', 'none'); 
  });

/***************************************************/
  $(document).on('click', '#btnContacto', function (){
    $('#Personal').css('display', 'none');
    $('#Contacto').css('display', 'block'); 
    $('#Vacunas').css('display', 'none'); 
  });

/***************************************************/
  $(document).on('click', '#btnVacuna', function (){
    $('#Personal').css('display', 'none');
    $('#Contacto').css('display', 'none'); 
    $('#Vacunas').css('display', 'block'); 
  });
/***************************************************/
$(document).on('click','.btnVer', function(){
    var cedula= $(this).attr("data-cod_fun");

    $.ajax({
        type: 'POST',
        url: '../php/funcionario.php',
        data: {'cedula' : cedula}
    }).done(function (respuesta) {
        $('#modal_res').html(respuesta);
        $('#Contacto').css('display', 'none'); 
        $('#Vacunas').css('display', 'none'); 
    }); 
});
</script>
</body>
</html>